[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TZipper.ZipFiles

Zip multiple files into an archive

## Declaration

Source position: zipper.pp line 463

`public procedure TZipper.ZipFiles(`
`const AZipFileName: RawByteString;`
`FileList: TStrings`
`); procedure TZipper.ZipFiles(`
`const AZipFileName: RawByteString;`
`const FileList: array of RawbyteString`
`); procedure TZipper.ZipFiles(`
`const aFileList: array of RawbyteString`
`); procedure TZipper.ZipFiles(`
`FileList: TStrings`
`); procedure TZipper.ZipFiles(`
`const AZipFileName: RawByteString;`
`Entries: TZipFileEntries`
`); procedure TZipper.ZipFiles(`
`Entries: TZipFileEntries`
`);`

## Arguments

`AZipFileName` |  | Zip archive filename
`FileList` |  | Filenames to be zipped

## Arguments

`AZipFileName` |  | Zip archive filename
`FileList` |  | Filenames to be zipped

## Arguments

`aFileList` |  | Filenames to be zipped

## Arguments

`FileList` |  | Filenames to be zipped

## Arguments

`AZipFileName` |  | Zip archive filename
`Entries` |  | Entries to add to file

## Arguments

`Entries` |  | Entries to add to file

## See also

ZipFile |  | Zip one file to a zip file